#!/usr/bin/env python3
# -*- coding:Utf-8 -*-
import mmap
#Librairie qui va allouer une zone fixe mémoire RAM à un fichier « mapage » 
import os
import sys
import time
#Ouvrir le fichier ,ce fichier existe sa taille va être définie par le nombre de caractères que nous lui avons mis au au préalable
filename="/usr/local/bin/led.txt"
#Le premier argument est une chaîne contenant le nom du fichier. 
#Les données écrites sur le fichier est automatiquement ajouté à la fin. 'r+' ouvre le fichier pour la lecture et l' écriture.
file = open(filename, "r+")
#Renvoie la taille, en octets 3 ici, du chemin. os.error si n'existe pas le fichier ou est inaccessible.
size = os.path.getsize(filename)
#Cartes mémoire  length octets dans le fichier spécifié par le fileno descripteur de fichier, et retourne un objet mmap. 
#La longueur maximale de la carte mémoire(zone RAM) sera la taille actuelle du fichier lorsque mmap est appelé.
#Pour assurer la validité de la mémoire créé la cartographie du fichier spécifié par le descripteur fileno est interne automatiquement synchronisé avec le systéme.
data = mmap.mmap(file.fileno(),size)
#octet entre 0 et 255
data[0]=int(sys.argv[1])
data[1]=int(sys.argv[2])
#je mets 50 ms d'attente afin de laisser le temps g_gpio de modifier la sortie sélectionnée.
time.sleep(0.05)
#contenu de la sortie 1 ou 0
print(data[2])
data.close()


